# TkReactor.h File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE_TkReactor_export.h"`
`#include "ace/Select_Reactor.h"`

Include dependency graph for TkReactor.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_TkReactorID
| This little class is necessary due to the way that Microsoft implements sockets to be pointers rather than indices. More...
class | ACE_TkReactor_Input_Callback
class | ACE_TkReactor
| An object-oriented event demultiplexor and event handler dispatcher that uses the Tk functions. More...

## Detailed Description

Id
  TkReactor.h,v 4.14 2005/10/28 23:55:10 ossama Exp

Author:
  Nagarajan Surendran <naga@cs.wustl.edu>